Bug 608611 - nss should provide SHA224 hash algorithm support
nss should provide SHA224 hash algorithm support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: 6.2
Assigned To: Elio Maldonado Batiz
BaseOS QE Security Team
: Reopened
Depends On:
Blocks: 582655 608599 1066494
  Show dependency treegraph
 
Reported: 2010-06-28 05:49 EDT by Jiri Kastner
Modified: 2014-03-11 10:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 10:20:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-06-28 05:49:57 EDT
Description of problem:
nss doesn't provide SHA224 hash algorithm support, so rpm signed with SHA224 signature is not installable as it relies on nss. because weaker hash algorithms are supported, SHA224 should be also supported.

Version-Release number of selected component (if applicable):
nss-3.12.6-3.el6

How reproducible:


  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2010-06-28 06:02:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Bob Relyea 2010-07-01 19:53:39 EDT
This requires changes to a upstream FIPS token. It's a little late in the game to be asking this for RHEL 6.0. I'm changing the target to 6.1.
Comment 6 RHEL Product and Program Management 2010-11-22 18:54:57 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 7 Elio Maldonado Batiz 2014-02-18 10:48:13 EST
SHA224 support was added over two years ago with nss-3.13.

Note You need to log in before you can comment on or make changes to this bug.